org.codehaus.plexus.component.builder

## Class XBeanComponentBuilder.RequirementRecipe<T>

- java.lang.Object
- - org.apache.xbean.recipe.AbstractRecipe
  - - org.codehaus.plexus.component.builder.XBeanComponentBuilder.RequirementRecipe<T>

All Implemented Interfaces:
  java.io.Serializable, org.apache.xbean.recipe.Recipe

Enclosing class:
  XBeanComponentBuilder<T>

    public static class XBeanComponentBuilder.RequirementRecipe<T>
    extends org.apache.xbean.recipe.AbstractRecipe

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`XBeanComponentBuilder.RequirementRecipe(ComponentDescriptor<T> componentDescriptor, ComponentRequirement requirement, MutablePlexusContainer container, boolean autoMatch)`

### Method Summary

Methods
`boolean` `canCreate(java.lang.reflect.Type expectedType)`
`protected java.lang.Object` `internalCreate(java.lang.reflect.Type expectedType, boolean lazyRefAllowed)`
`java.lang.String` `toString()`

### Methods inherited from class org.apache.xbean.recipe.AbstractRecipe

`create, create, create, getConstructorRecipes, getName, getNestedRecipes, getPriority, setName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### XBeanComponentBuilder.RequirementRecipe

    public XBeanComponentBuilder.RequirementRecipe(ComponentDescriptor<T> componentDescriptor,
                                           ComponentRequirement requirement,
                                           MutablePlexusContainer container,
                                           boolean autoMatch)

### Method Detail

#### canCreate

    public boolean canCreate(java.lang.reflect.Type expectedType)

#### internalCreate

    protected java.lang.Object internalCreate(java.lang.reflect.Type expectedType,
                                  boolean lazyRefAllowed)
                                       throws org.apache.xbean.recipe.ConstructionException

Specified by:
  `internalCreate` in class `org.apache.xbean.recipe.AbstractRecipe`
Throws:
  `org.apache.xbean.recipe.ConstructionException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `org.apache.xbean.recipe.AbstractRecipe`